Loading...
Searching...
No Matches
cairo_state Struct Reference

`#include <cairodriver.h>`

## Data Fields

char * | file_name
int | file_type
int | width
int | height
int | stride
unsigned char * | grid
double | bgcolor_r
double | bgcolor_g
double | bgcolor_b
double | bgcolor_a
int | modified
int | mapped

## Detailed Description

Definition at line 65 of file cairodriver.h.

## Field Documentation

## bgcolor_a

double cairo_state::bgcolor_a

Definition at line 70 of file cairodriver.h.

## bgcolor_b

double cairo_state::bgcolor_b

Definition at line 70 of file cairodriver.h.

## bgcolor_g

double cairo_state::bgcolor_g

Definition at line 70 of file cairodriver.h.

## bgcolor_r

double cairo_state::bgcolor_r

Definition at line 70 of file cairodriver.h.

## file_name

char* cairo_state::file_name

Definition at line 66 of file cairodriver.h.

## file_type

int cairo_state::file_type

Definition at line 67 of file cairodriver.h.

## grid

unsigned char* cairo_state::grid

Definition at line 69 of file cairodriver.h.

## height

int cairo_state::height

Definition at line 68 of file cairodriver.h.

## mapped

int cairo_state::mapped

Definition at line 72 of file cairodriver.h.

## modified

int cairo_state::modified

Definition at line 71 of file cairodriver.h.

## stride

int cairo_state::stride

Definition at line 68 of file cairodriver.h.

## width

int cairo_state::width

Definition at line 68 of file cairodriver.h.

The documentation for this struct was generated from the following file:

- cairodriver.h